%define module      Net_SSLeay.pm
%define name 		perl-%{module}
%define version		1.30
%define release		%mkrel 7

Name:		    %{name}
Version:	    %{version}
Release:	    %{release}
Summary:	    Perl extension for using OpenSSL
License:	    BSD-like
Group:		    Development/Perl
Url:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/Net/%{module}-%{version}.tar.bz2
Patch0:         perl-Net_SSLeay-1.30-large-tcp-read.patch
Patch1:         perl-Net_SSLeay-1.2.5-CVE-2005-0106.patch
Requires:       openssl >= 0.9.3a
Obsoletes:      perl-Net_SSLeay < 1.30-2mdv2007.0
Provides:	perl-Net_SSLeay = %{version}-%{release}
BuildRequires:	openssl-devel
BuildRequires:	perl-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
Perl extension for using OpenSSL.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p0 -b .rgs
%patch1 -p1 -b .cve-2005-0106

%__chmod 755 examples
# openssl_path is /usr here, therefore don't -I/usr/include and
# especially don't (badly) hardcode standard library search path
# /usr/lib
if [[ "%{_prefix}" = "/usr" ]]; then
  perl -pi -e "s@-[LI]\\\$openssl_path[^\s\"]*@@g" Makefile.PL
fi

%build
# note the %{_prefix} which must passed to Makefile.PL, weird but necessary :-(
%{__perl} Makefile.PL %{_prefix} INSTALLDIRS=vendor
%make OPTIMIZE="$RPM_OPT_FLAGS"
perl -p -i -e 's|/usr/local/bin|/usr/bin|g;' *.pm examples/*
# testing the package implies contacting external sites (some are down ?)
#make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes Credits README examples QuickRef
%{perl_vendorarch}/auto/Net
%{perl_vendorarch}/Net
%{_mandir}/*/*



%changelog
* Wed Jun 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.30-7mdv2009.0
+ Revision: 223906
- rebuild

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 1.30-6mdv2008.1
+ Revision: 151338
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.30-5mdv2008.0
+ Revision: 90055
- rebuild

* Mon Aug 20 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.30-4mdv2008.0
+ Revision: 67514
- rebuild


* Fri Sep 15 2006 Andreas Hasenack <andreas@mandriva.com> 1.30-3mdv2007.0
- provide previous name (#25718)

* Sun Sep 03 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.30-2mdv2007.0
- change package name to match naming policy
- fix URL
- rpmlint compliant sources URL
- fix directory ownership

* Fri Jan 27 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.30-1mdk
- New version
- Reimplement Patch 0
- Patch 1: security fix for CVE-2005-0106
- Fix summary, description, license, permissions
- Remove MANIFEST

* Sun Nov 13 2005 Oden Eriksson <oeriksson@mandriva.com> 1.25-5mdk
- rebuilt against openssl-0.9.8a

* Mon Nov 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.25-4mdk
- rebuild for new perl

* Fri Jun 04 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.25-3mdk
- BuildRequires: openssl (for openssl detection)

* Mon Mar 01 2004 Franois Pons <fpons@mandrakesoft.com> 1.25-2mdk
- fixed fpons sucking (keep autosplited method, this package does
  not handle it well if you remove them).

